<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' Validate vatnumber
'*********************************************************************************

sub Validatevat (strcountry)
   dim vatmycountry, partial
   SetSess "vatnumbertax", ""
   dim vatnumber, vatrc

   'Security Patch - 17 April 2008
   vatnumber = CleanChars(request("vatnumber"))

   if vatnumber <> "" then
      ShopvalidateVat strcountry, vatnumber, vatrc
      select case vatrc
         case 0
            vatmycountry = GetConfig("xvatcountry")
            if strcountry<>vatmycountry then
               SetSess "vatnumbertax", vatnumber
            end if
         case 4
            SError = SError & GetLang("LangVatinvalid") & " " & vatnumber & "<br />"
      end select
   end if
end sub

' 4.50 April 7, 2002
' Validate VAT
sub ShopValidateVat(country, vatnumber, rc)
   dim tmpcountry, tmpvat, partial
   tmpvat = ucase(replace(vatnumber, " ", ""))
   tmpcountry = left(vatnumber, 2)

   if tmpcountry = "UK" or tmpcountry = "GR" then
      rc = 4
      exit sub
   end if

   if tmpcountry = "GB" then
      tmpcountry = "UK"
   end if
   if tmpcountry = "EL" then
      tmpcountry = "GR"
   end if

   if tmpcountry = country then
      tmpvat = right(tmpvat, len(vatnumber) - 2)
   end if
   select case country
      case "AT"
         if len(tmpvat) = 9 then
            if left(tmpvat, 1) = "U" then
               rc = 0
            else
               rc = 4
            end if
         else
            rc = 4
         end if
      case "BE"
         if len(tmpvat) = 9 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "DK"
         if len(tmpvat) = 8 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if

      case "FI"
         if len(tmpvat) = 8 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "FR"
         rc = 4
         if len(tmpvat) <> 11 then exit sub
         partial = mid(tmpvat, 3, 9)
         if not isnumeric(partial) then exit sub
         rc = 0
      case "UK"
         if (len(tmpvat) = 9 or len(tmpvat) = 12) and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "DE"
         if len(tmpvat) = 9 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "GR"
         if len(tmpvat) = 9 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "IE"
         rc = 4
         if len(tmpvat) <> 8 then exit sub
         if not isnumeric(left(tmpvat, 1)) then exit sub
         partial = mid(tmpvat, 3, 5)
         if not isnumeric(partial) then exit sub
         rc = 0
      case "IT"
         if len(tmpvat) = 11 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "LU"
         if len(tmpvat) = 8 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "NL"
         if len(tmpvat) = 12 and left(right(tmpvat, 3), 1) = "B" and isnumeric(right(tmpvat, 2)) then
            rc = 0
         else
            rc = 4
         end if
      case "PT"
         if len(tmpvat) = 9 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "ES"
         if len(tmpvat) = 9 and isnumeric(left(right(tmpvat, 8), 7)) then
            rc = 0
         else
            rc = 4
         end if
      case "SE"
         if len(tmpvat) = 12 and isnumeric(tmpvat) and right(tmpvat, 2) = "01" then
            rc = 0
         else
            rc = 4
         end if
      case "CY"
         if len(tmpvat) = 9 and isnumeric(left(tmpvat, 8)) then
            rc = 0
         else
            rc = 4
         end if
      case "CZ"
         if len(tmpvat) = 11 then
            tmpvat = mid(tmpvat, 4, 8)
         else
			   if len(tmpvat) = 12 then
               tmpvat = mid(tmpvat, 4, 9)
            else
				   if len(tmpvat) = 13 then
                  tmpvat = mid (tmpvat, 4, 10)
               end if
            end if
         end if
         if (len(tmpvat) = 8 or len(tmpvat) = 9 or len(tmpvat) = 10) and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "EE"
         if len(tmpvat) = 9 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "HU"
         if len(tmpvat) = 8 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "LV"
         if len(tmpvat) = 11 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "LT"
         if (len(tmpvat) = 9 or len(tmpvat) = 12) and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "MT"
         if len(tmpvat) = 8 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "PL"
         if len(tmpvat) = 10 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "SK"
         if len(tmpvat) = 10 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case "SI"
         if len(tmpvat) = 8 and isnumeric(tmpvat) then
            rc = 0
         else
            rc = 4
         end if
      case else
         'Set country to "" and return invalid country code error
         rc = 8
   end select
end sub
%>